For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet one Shipment by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
        • GETGet one Shipment's status timeline by Shipment Id
        • POSTCancel single Order by Order ID
        • POSTCancel one Shipment by Shipment Id
        • GETGet shipping methods
        • GETGet one Shipment's status timeline by Order Id and Shipment Id
        • GETGet all Shipments for Order
        • GETGet logs for one Shipment by Order Id and Shipment Id
        • POSTCancel one Shipment by Order Id and Shipment Id
        • GETGet logs for one Shipment by Shipment Id
        • GETGet one Shipment by Order Id and Shipment Id
        • POSTEstimate Fulfillment Cost For Order
        • GETGet Order Store Json
        • POSTSave the Store Order Json
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Cancel single Order by Order ID

||View as Markdown|
POST
/2025-07/order/:orderId:cancel
POST
/2025-07/order/:orderId:cancel
$curl -X POST https://api.shipbob.com/2025-07/order/orderId:cancel \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>"
1{
2 "canceled_shipment_results": [
3 {
4 "action": "Cancel",
5 "is_success": true,
6 "reason": "string",
7 "shipment_id": 0
8 }
9 ],
10 "order": {
11 "channel": {
12 "id": 0,
13 "name": "ShipBobs-Shopify-Store"
14 },
15 "created_date": "2019-08-24T14:15:22Z",
16 "financials": {
17 "total_price": 0.1
18 },
19 "gift_message": "string",
20 "id": 0,
21 "order_number": "string",
22 "products": [
23 {
24 "external_line_id": 0,
25 "gtin": "string",
26 "id": 0,
27 "quantity": 0,
28 "quantity_unit_of_measure_code": "string",
29 "reference_id": "TShirtBlueM",
30 "sku": "TShirtBlueM",
31 "unit_price": 0.1,
32 "upc": "string"
33 }
34 ],
35 "purchase_date": "2019-08-24T14:15:22Z",
36 "recipient": {
37 "address": {
38 "address1": "100 Nowhere Blvd",
39 "address2": "Suite 100",
40 "city": "Gotham City",
41 "company_name": "Wayne Enterprises",
42 "country": "US",
43 "state": "NJ",
44 "zip_code": "07093"
45 },
46 "name": "John Doe",
47 "email": "john@example.com",
48 "phone_number": "555-555-5555"
49 },
50 "reference_id": "string",
51 "retailer_program_data": {
52 "addresses": [
53 {
54 "address1": "100 Nowhere Blvd",
55 "city": "Gotham City",
56 "country": "US",
57 "type": "MarkFor",
58 "address2": "Suite 100",
59 "company_name": "Wayne Enterprises",
60 "state": "NJ",
61 "zip_code": "07093"
62 }
63 ],
64 "customer_ticket_number": "string",
65 "delivery_date": "2019-08-24T14:15:22Z",
66 "department": "string",
67 "doNotShipBeforeDate": "2019-08-24T14:15:22Z",
68 "mark_for_store": "string",
69 "purchase_order_number": "string",
70 "retailer_program_type": "string",
71 "shipByDate": "2019-08-24T14:15:22Z"
72 },
73 "shipments": [
74 {
75 "actual_fulfillment_date": "2019-08-24T14:15:22Z",
76 "created_date": "2019-08-24T14:15:22Z",
77 "delivery_date": "2019-08-24T14:15:22Z",
78 "estimated_fulfillment_date": "2019-08-24T14:15:22Z",
79 "estimated_fulfillment_date_status": "AwaitingInventoryAllocation",
80 "gift_message": "string",
81 "id": 0,
82 "insurance_value": 0,
83 "invoice_amount": 0,
84 "invoice_currency_code": "string",
85 "is_tracking_uploaded": true,
86 "last_tracking_update_at": "2019-08-24T14:15:22Z",
87 "last_update_at": "2019-08-24T14:15:22Z",
88 "location": {
89 "id": 0,
90 "name": "Cicero (IL)"
91 },
92 "measurements": {
93 "depth_in": 0,
94 "length_in": 0,
95 "total_weight_oz": 0,
96 "width_in": 0
97 },
98 "order_id": 0,
99 "package_material_type": "Unknown",
100 "parent_cartons": [
101 {
102 "barcode": "string",
103 "cartons": [
104 {
105 "barcode": "string",
106 "carton_details": [
107 {
108 "products": [
109 {
110 "id": 0,
111 "inventory_items": [
112 {
113 "expiration_date": "2019-08-24T14:15:22Z",
114 "id": 0,
115 "is_dangerous_goods": true,
116 "lot": "22222",
117 "name": "Medium Blue T-Shirt",
118 "quantity": 0,
119 "quantity_committed": 0,
120 "serial_numbers": [
121 "string"
122 ]
123 }
124 ],
125 "name": "Medium Blue T-Shirt",
126 "reference_id": "TShirtBlueM",
127 "sku": "TShirtBlueM"
128 }
129 ]
130 }
131 ],
132 "id": 0,
133 "measurements": {
134 "depth_in": 0.1,
135 "length_in": 0.1,
136 "total_weight_oz": 0.1,
137 "width_in": 0.1
138 },
139 "type": "Box or pallet"
140 }
141 ],
142 "measurements": {
143 "depth_in": 0.1,
144 "length_in": 0.1,
145 "total_weight_oz": 0.1,
146 "width_in": 0.1
147 },
148 "type": "Box or pallet"
149 }
150 ],
151 "products": [
152 {
153 "id": 0,
154 "inventory_items": [
155 {
156 "expiration_date": "2019-08-24T14:15:22Z",
157 "id": 0,
158 "is_dangerous_goods": true,
159 "lot": "22222",
160 "name": "Medium Blue T-Shirt",
161 "quantity": 0,
162 "quantity_committed": 0,
163 "serial_numbers": [
164 "string"
165 ]
166 }
167 ],
168 "name": "Medium Blue T-Shirt",
169 "reference_id": "TShirtBlueM",
170 "sku": "TShirtBlueM"
171 }
172 ],
173 "recipient": {
174 "address": {
175 "address1": "100 Nowhere Blvd",
176 "address2": "Suite 100",
177 "city": "Gotham City",
178 "company_name": "Wayne Enterprises",
179 "country": "US",
180 "state": "NJ",
181 "zip_code": "07093"
182 },
183 "email": "john@example.com",
184 "full_name": "John Doe",
185 "name": "John Doe",
186 "phone_number": "555-555-5555"
187 },
188 "reference_id": "string",
189 "require_signature": true,
190 "ship_option": "Standard",
191 "status": "None",
192 "status_details": [
193 {
194 "description": "string",
195 "exception_fulfillment_center_id": 0,
196 "extra_information": {
197 "validation_messages": [
198 "string"
199 ]
200 },
201 "id": 0,
202 "inventory_id": 0,
203 "name": "string"
204 }
205 ],
206 "tracking": {
207 "bol": "string",
208 "carrier": "USPS",
209 "carrier_service": "Priority",
210 "pro_number": "string",
211 "scac": "string",
212 "shipping_date": "2019-08-24T14:15:22Z",
213 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
214 "tracking_url": "https://www.example.com/tracking?id=860C8CDC8F0B4FC7AB69AC86C20539EC"
215 }
216 }
217 ],
218 "shipping_method": "Free 2-day Shipping",
219 "shipping_terms": {
220 "carrier_type": "Parcel",
221 "payment_term": "Collect"
222 },
223 "status": "Processing",
224 "tags": [
225 {
226 "name": "Handling instructions",
227 "value": "Fragile"
228 }
229 ],
230 "type": "DTC"
231 },
232 "order_id": 0,
233 "status": "Success"
234}
Was this page helpful?
Previous

Get one Shipment's status timeline by Shipment Id

Next

Cancel one Shipment by Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

orderIdstringRequiredformat: "int32"
The order ID to cancel

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel ID for Operation

Response

Success
canceled_shipment_resultslist of objects or null
Results of canceling the shipments associated with the order
orderobject
order_idinteger
The ID of the canceled order
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error